Bug 1240 - java plugin is blocked in Firefox and Thunderbird
: java plugin is blocked in Firefox and Thunderbird
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 09:30 MSK by FirstLevel
Modified: 2012-12-20 14:50 MSK (History)
4 users (show)

See Also:
RPM Package: java-1.6.0-sun-plugin-1.6.0.30-0.1-rosa.lts2012.0.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-12-13 09:30:02 MSK
Description of problem:
After updating firefox to 17.0 java plugin is blocked in Firefox and Thunderbird (see attach).
P.S. I have seen that Mozilla have isssued article about this decission, because there are existing exploits for java plugin.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Aleksandr Kazantcev 2012-12-13 09:47:53 MSK
Delete current plugin and update it from Oracle site.

We don't may provide Java package anymore...
Comment 2 FirstLevel 2012-12-13 11:44:56 MSK
oooops....
I can't understand this answer.
1. ROSA 2012 Marathon is a LTS (long time support) release with guaranteed security and software updates for 5 years
2. java package belongs to main repo
Comment 3 Alexander Burmashev 2012-12-13 11:50:24 MSK
If external organization decides to block some of plugins from our packages we can not always guarantee to "fix" this problem.
For example we have flash in our repos, but as soon as Adobe stops flash support for Linux we are no longer able to support it.

In this particular case *maybe* we will be able to update java plugin and fix the issue.
Comment 4 Aleksandr Kazantcev 2012-12-13 12:02:43 MSK
In repo was a java package before ORACLE derpecate provides Java in repositories.

Now only dowload from ORACLE site is legal. We will not may update Java in repo - it's illegal. If you need latest version -  use latest version from ORACLE...

FF and Cromium deprecate use oldest version of Java.
Comment 5 FirstLevel 2012-12-13 13:23:44 MSK
(In reply to comment #4)
> In repo was a java package before ORACLE derpecate provides Java in
> repositories.
> 
> Now only dowload from ORACLE site is legal. We will not may update Java in
> repo - it's illegal. If you need latest version -  use latest version from
> ORACLE...
> 
> FF and Cromium deprecate use oldest version of Java.

Should we inform our users and customers about this fact?
Comment 6 Dmitry Mikhirev 2012-12-20 14:50:13 MSK
Use Icedtea plugin instead Oracle plugin. The package name is icedtea-web.

There is nothing to fix with Proprietary plugin.